<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a6305ea643bdd038b2eabba188809229c">bytes2Messages</a>(uint8_t *rxBuf, uint_fast32_t messageSize, vector&lt; MESSAGE_TYPE &gt; &amp;messageBuf)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a16cf54ffb11033e7ce47748efca136e0">continuousRecvMessages</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a3906aa6920e8e35ae8fa5fe138aace35">continuousSendMessages</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a65d5d5b5f5d5f1a82fbb375d3faacd79">countMessages</a>(uint_fast32_t *devMessagesCount)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a6bba0215fd671aab95b2faa1f226ac32">dataPtr</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#aa17bb7441c8fd71f41dcc778c1c2f9b9">dataTxCount</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a962786d68ebdc61b2365032d15b90762">devTxMessages</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#ac383d378b33c25ac6706d77b3ddb1db9">endSS</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a0b4b3ed59f65b42d13e7f5e41786c9bc">existDataMessages2Tx</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#aaa8a5a2e7a110cbfaf5293d6aab71961">existMutationMessages2Tx</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#ac3bb92c1a0066c0934aebfa6b4fc3866">existSysMessages2Tx</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a364ceba90a34ff3c9f4ddbdddea5c3fb">findTxSlot</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a93366dc18525e70042dfce7bbdf7004c">getRank</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a4d3fc1a14e63b16b413695fe3dd433f2">init</a>(SUBGRAPH_TYPE *dPtr, uint_fast32_t devices=1, uint_fast32_t devRank=0)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a7c7ebc29357f7f9b3c2771542ce3f1a5">initFlag</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a7a3f3e74731feba0b7a22e052f7d5aa9">initSS</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a980dda0eb9b713f6da87326334c8cd21">instRecvMutationMessages</a>(int dev)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#add2781f80bf229ca8e379293aceaaf61">isMultipleDevices</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a53f64b7f8295fc1c5ae23d011d222763">isTxComplete</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a05204df283d9a53fa26f8ef6c4d9ec53">messages2Bytes</a>(DATA_MESSAGE_BUF_TYPE *messagePtr, uint8_t *outBuf)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#aee1801fc693c654a78cc718c20605dbe">mutationTxCount</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a3d37e99755d2c3f424f9dcc6ab5ff3d5">numDevices</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a258a92f1d587032e791dab9bd9c9f58c">printIdleTime</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a45b756eeec6a8167ae98ed17a9b4070a">processOneMessage</a>(uint8_t *rxBuf, int tag, uint_fast32_t messageSize, uint_fast32_t dev)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a6a4bba59c0f81cb43ead71b9d753c0ea">rank</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#ab204a599e41fa0d73b37ffec7a3fe908">RecvNewMessages</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a6bb24cbca568ca64067d089fc76e0a2f">reset</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a5ceb35965f49a6166121346155b5b463">rxDevMessageCount</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a7bca269339a42c1afff19d8228d276ed">sendDataMessages</a>(bool flushBuffers=false)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#abcdecfae5eefed5616af3a6f8f036ba9">sendInstMutationMessage</a>(int thread)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a7e44d1cfb8eb47d84993a31bf549945e">sendMessagesSizes</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a818f1980895110689d07094b2bdb8710">sendMutationMessages</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#ae376c35744ea91129ac886f7efffef5a">sendSysMessages</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#aad65887bc9f4f5d7afc869b3b56e510e">setNumVertices</a>(uint64_t numVertices)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a46f40c9bf3a181764e3d113acd33d0de">setTimePtr</a>(uint_fast32_t *timePtr)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a60b61c286804c5641bd53cb842c7be93">ssComputationEndFlag</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#add4240f094c016e5e05d96d183409896">ssRxActiveFlag</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a0135fc4bb3a5a2606b4adbfe23880502">ssTxActiveFlag</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a63cc7f893418c8b61888bc652db879a8">sysTxCount</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#ae27613519573876dd2782f544a3d99b8">taggedBcast</a>(uint8_t *txBuf, uint_fast32_t bufSize, int tag)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a9f4e571c4c9234481a805c03722b38ad">targetRxDevMessageCount</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#ad495e4583bb9306f63958d65add2588e">TIGLCommunicationManager</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a002a1f09caea60c57aaaf8f320435b26">TIGLCommunicationManager</a>(SUBGRAPH_TYPE *dataPtr, uint_fast32_t devices, int rank=0)</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#afdabc98b02e350626161df5225daea5d">timeCountSS</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a85f16a047fc9534ee0e5f05aee4373f7">totalNumVertices</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#ad4c39c5614f6cf8d0b8d17ccbc6ef07f">txBuffers</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a0f7ac860dbe978ac2158cc9d27c2246f">txBusyRequestFlag</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a83ce3bedcade3312908d9e8856b2c946">txIdleTime</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a26bb213989db09c26f68ae5cef6d459f">txRequests</a></td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a3f14286c0744fb70b2e6a25b176ca5f8">waitAllTx</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglCommunicationManager.html#a79cb87ff60961642caeee928f5314682">~TIGLCommunicationManager</a>()</td><td class="entry"><a class="el" href="classtiglCommunicationManager.html">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:17:04 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
